List jobs
GET
/api/v1/external/jobs
const url = 'https://app.dover.com/api/v1/external/jobs';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.dover.com/api/v1/external/jobs \ --header 'Authorization: <Authorization>'List active public jobs, including hiring pipeline stages you can add candidates to and the hiring team (hiring manager, recruiter, Dover recruiting partner, and members with their emails).
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
integer
Number of results to return per page.
offset
integer
The initial index from which to return the results.
Responses
Section titled “Responses”Media typeapplication/json
object
count
required
integer
next
string format: uri
previous
string format: uri
results
required
Array<object>
object
id
required
Id
string format: uuid
title
required
Title
string
hiring_pipeline_stages
Array<object>
object
id
required
Id
string format: uuid
name
required
Name
string
hiring_team
People on the job’s hiring team: hiring manager first, then recruiter, Dover recruiting partner, then members.
Array<object>
object
user_id
required
User id
integer
name
required
Name
string
email
required
Email
string format: email
roles
required
‘hiring_manager’, ‘recruiter’, and/or ‘recruiting_partner’ (the Dover recruiting partner) for the job’s designated contacts; ‘member’ for everyone else on the hiring team.
Array<string>
Example
{ "results": [ { "hiring_team": [ { "roles": [ "hiring_manager" ] } ] } ]}